Bug: "Continue reading" text field is selectable
Closed, ResolvedPublic

Description

BGerstle-WMF updated the task description. (Show Details)
BGerstle-WMF raised the priority of this task from to Needs Triage.
BGerstle-WMF added a subscriber: BGerstle-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 10 2015, 12:49 PM

So, I looked into this a bit and found:

  • this applies to all section headers. [0]
  • can't be easily fixed since UITextView.selectable also breaks link interactivity

So we can try playing around w/ the responder chain to disable selection, hiding the menu, or using something besides a UITextView to display these "links" (e.g. a button).

@Fjalapeno @JMinor @Mhurd thoughts?

0:

Fjalapeno moved this task from Doing to Needs Code Review on the Wikipedia-iOS-App-Development board.
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptJan 27 2016, 7:09 PM
MBinder_WMF closed this task as Resolved.Feb 8 2016, 7:32 PM